# sMToken_dim Struct Reference

`#include <m_token.h>`

## Data Fields

sMToken_base | base
union uMToken * | value
union uMToken * | non_tt_param
int | beNegate

## Detailed Description

"dim" token. Contains array-like expressions in decoded names.

## Field Documentation

sMToken_base sMToken_dim::base

Base descriptor header.

int sMToken_dim::beNegate

1 for negative "values".

union uMToken* sMToken_dim::non_tt_param `[write]`

Pointer to C++ template name token.

union uMToken* sMToken_dim::value `[write]`

Pointer to value token.

The documentation for this struct was generated from the following file:

- src/m_token.h